# Deploy a Web App using AWS App Runner

## Overview

In this guide, you will learn how to deploy a containerized application with AWS App Runner.

## What you will learn

- Using AWS CDK to create the infrastructure for your application
- Deploy the application to AWS App Runner

## Before You Start
* Please make sure that you have your AWS CDK properly configured. For more information on how to setup the AWS CDK, please refer to the [Getting Started with AWS CDK](https://github.com/aws-developer-center/getting-started-cdk/blob/main/README.md).
* Activity in this guide will heavily involve terminal activities. You can use your own development environment to follow this guide, or you can also use AWS Cloud9. For more information on how to setup your AWS Cloud9 environment, please refer to this guide [Setting up AWS Cloud9](https://github.com/aws-developer-center/getting-started-setting-up-aws-environment/blob/main/module_004.md).

## Modules

This guide consists of 1 modules. The last module covers cleaning up any resources created in this guide.

- [Deploying the container (5 mins)](module_001.md): Deploying the container
- [Clean up (5 mins)](cleanup.md): In this last part of the guide, you learn how to clean up after you are done.

## Sidebar

| Info                | Level                                  |
| ------------------- | -------------------------------------- |
| ✅ AWS Level        | Beginner                               |
| ⏱ Time to complete  | 20 min                                 |
| 💰 Cost to complete | Free when using the Free tier |

## Pre-requisites

To complete this tutorial, you need:

- To have an AWS Account: [LINK TO TUTORIAL]
- Basic knowledge of CDK: [LINK TO TUTORIAL]
- [Docker installed](https://docs.docker.com/get-docker/)

Next -> [Module 1](module_001.md)
